// Aqsis
// Copyright (c) 1997 - 2001, Paul C. Gregory
//
// Contact: pgregory@aqsis.com
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/**
 * Copyright (C) 2006-2007  NTT DATA CORPORATION
 * 
 * Version: 1.0.0 2007/04/01
 *  
 */
package net.cellcomputing.himawari.main;


import net.cellcomputing.himawari.accessory.STLVector;
import net.cellcomputing.himawari.accessory.primitive.p_String;
import net.cellcomputing.himawari.accessory.primitive.p_boolean;
import net.cellcomputing.himawari.accessory.primitive.p_int;

/**
 * 
 * aqsis.h,aqsis.cpp のグローバル変数群
 * 
 * @author NTT DATA Corporation
 */
public strictfp class Globalmain {
	
	//define定義のもの
	public static final String VERSION_STR = "2.0.2";
	public static final int CLOCKS_PER_SEC = 1000;
	
	//プログラム実行中に使用するリソースパスを格納するための変数
	public static String g_rc_path = new String();
	public static String g_shader_path = new String();
	public static String g_archive_path = new String();
	public static String g_texture_path = new String();
	public static String g_display_path = new String();
	public static String g_dso_path = new String();
	public static String g_procedural_path = new String();
	public static String g_plugin_path = new String();

	//コマンドラインの引数
	public static p_boolean g_cl_pause = new p_boolean();
	
	//Set verbose stats if in debug mode
			//	#ifdef	_DEBUG
			//	p_int g_cl_endofframe = new p_int(3);
			//	#endif
	public static p_int g_cl_endofframe = new p_int(-1);
	public static p_boolean g_cl_nostandard = new p_boolean(false);
	public static p_boolean g_cl_help = new p_boolean(false);
	public static p_boolean g_cl_version = new p_boolean(false);
	public static p_boolean g_cl_fb = new p_boolean(false);
	public static p_boolean g_cl_progress = new p_boolean(false);
	public static p_boolean g_cl_Progress = new p_boolean(false);
	public static p_boolean g_cl_rinfo = new p_boolean(false);
	public static p_boolean g_cl_no_color = new p_boolean(false);
	public static p_boolean g_cl_beep = new p_boolean(false);
	public static p_int g_cl_verbose = new p_int(1);
	public static STLVector<Double> g_cl_cropWindow = new STLVector<Double>( Double.class );
	public static p_String g_cl_rc_path = new p_String();
	public static p_String g_cl_shader_path = new p_String();
	public static p_String g_cl_archive_path = new p_String();
	public static p_String g_cl_texture_path = new p_String();
	public static p_String g_cl_display_path = new p_String();
	public static p_String g_cl_dso_path = new p_String();
	public static p_String g_cl_procedural_path = new p_String();
	public static p_String g_cl_plugin_path = new p_String();
	public static p_String g_cl_type = new p_String();
	public static p_String g_cl_addtype = new p_String();
	public static p_String g_cl_mode = new p_String("rgba");
	public static p_String g_cl_strprogress = new p_String("Frame (%f) %p%% complete [ %s secs / %S left ]");
	public static p_String g_cl_framesList = new p_String();
	public static STLVector<Integer> g_cl_frames = new STLVector<Integer>( Integer.class ); 
	//--2007/02/01 暗号化オプション追加 nttdata
	public static p_boolean g_enc_flag = new p_boolean(false);
	//--

}
